/* 
 *  Copyright (C) 1999 Bernd Gehrmann
 *                     bernd@physik.hu-berlin.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the "Artistic License" which comes with this Kit. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Artistic License for more details.
 *
 * You should have received a copy of the Artistic License with 
 * this Kit, in the file named "Artistic".  If not, I'll be glad
 * to provide one.
 */

#include <kapp.h>
#include <klocale.h>
#include <kcmdlineargs.h>

#include "toplevel.h"

static const char *description = 
	I18N_NOOP("Columbo Find.");

static const char *version = "v0.0.1";


int main(int argc, char* argv[]) { 
    KCmdLineArgs::init(argc, argv, "colfind", description, version);

    KApplication app;
    
    if (/*app.isRestored()*/ 0) { 
//	RESTORE(TopLevel);
    } else {
	TopLevel *t = new TopLevel();
	app.setMainWidget(t);
	t->show();
    }
    return app.exec();
}  
